LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-19-2011, 04:26 PM   #1
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Rep: Reputation: 0
Creative webcam NXPro barely working


Good day Ladies and Gentleman.

I have changed from XP Pro to Ubuntu (running 10.10 right now)
and very happy so far.

In 10.04 my webcam a Creative NXPro model PD1130 did work even though the quality was not as good as in XP but now, in 10.10, I can barely recognize myself the picture is so dark and in Skype it doesn't work at all.

I installed "Cheese" and that is the only way so far that I could use the cam even though there is no way to get a usable picture even at the lightest setting.

Trying to find an NXPro driver for Linux has netted no results so far.

I would appreciate any suggestions.

If there is no driver or work-around, what webcam will work in Ubuntu 10.10?

Thank you,
John
 
Old 02-19-2011, 10:52 PM   #2
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
hi

run

Code:
lsusb
lsmod | grep spca
and post the results

hopefully it shows something like

0x041e:0x401e

and so you use the gspca module as per
http://www.qbik.ch/usb/devices/showdev.php?id=3035

2) your kernel config under /boot/config-version should show

CONFIG_USB_GSPCA=m
CONFIG_USB_GSPCA_SPCA500=m
CONFIG_USB_GSPCA_SPCA501=m
CONFIG_USB_GSPCA_SPCA505=m
CONFIG_USB_GSPCA_SPCA506=m
CONFIG_USB_GSPCA_SPCA508=m
CONFIG_USB_GSPCA_SPCA561=m

you also need usb storage usb sound as per
CONFIG_USB_STORAGE=m
CONFIG_SND_USB=y
CONFIG_SND_USB_AUDIO=m

but hopefully they are not the issue

I don't have your cam so not sure what number will be in modules

2) you may need to do another tweak...but first lets see if you have the kernel module pls?

Last edited by aus9; 02-19-2011 at 11:00 PM.
 
Old 02-20-2011, 06:42 AM   #3
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Original Poster
Rep: Reputation: 0
Thumbs up re: NXPro webcam

Hi aus9 and thank you for your reply.

Here is the output of the lsusb and lsmod | grep spca commands.

lsusb
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 041e:401e Creative Technology, Ltd Webcam NX Pro
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 1058:0704 Western Digital Technologies, Inc. Passport External HDD
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
lsmod | grep spca
gspca_zc3xx 43366 0
gspca_main 23644 1 gspca_zc3xx
videodev 43098 1 gspca_main

I have downloaded the driver from the link you provided but won't have time today to install.

I will let you know how I make out.

Thank you very much for your help.

John
 
Old 02-20-2011, 06:56 PM   #4
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Original Poster
Rep: Reputation: 0
re: kernel config

Hi again aus9.

I checked these items;

"2) your kernel config under /boot/config-version should show

CONFIG_USB_GSPCA=m
CONFIG_USB_GSPCA_SPCA500=m
CONFIG_USB_GSPCA_SPCA501=m
CONFIG_USB_GSPCA_SPCA505=m
CONFIG_USB_GSPCA_SPCA506=m
CONFIG_USB_GSPCA_SPCA508=m
CONFIG_USB_GSPCA_SPCA561=m

you also need usb storage usb sound as per
CONFIG_USB_STORAGE=m
CONFIG_SND_USB=y
CONFIG_SND_USB_AUDIO=m "

and they are all there just as you listed them.

John
 
Old 02-21-2011, 04:57 AM   #5
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
hi

and so there is no need to download any driver as you already have it running but its gspca_zc3xx

hmm ok my old link is out of date so the new one confirms your driver is zc3xx as per

http://www.kernel.org/doc/Documentat...inux/gspca.txt

2) now to work out why its crap......then if no luck i recommend a uvc compliant webcam....I have one with carl zeiss lens called Bus 001 Device 004: ID 046d:0990 Logitech, Inc. QuickCam Pro 9000


3) try this tweak and see if it improves pls....report back when you can ....give me a day to reply pls....based on an old sidux tweak

Code:
sudo apt-get install libv4l-0
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so <program>
where program is the name of your webcam program such as cheese, skype and so on


4) in my system there is a package called dov4l which states

he dov4l program can set properties such as frequency, tuner, inputchannel, mode, brightness, hue, color, contrast, whiteness, palette, width, and height of a video4linux device. It can also query current settings.


OR

v4l2ucp

which states

V4L2UCP is an universal control panel for V4L and V4L2 devices. It reads the description of the controls that the device supports from the device device, and presents the user with a graphical means for adjusting those controls; it allows for controlling multiple devices.
Controls can be updated with the device status either manually, or periodically. There is an easy way to reset one or all the controls to their default state.
 
Old 02-21-2011, 10:45 AM   #6
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Original Poster
Rep: Reputation: 0
no luck

Hi again aus9.

I tried the 2 commands in the terminal.

libv4l was already installed and I was told to autoremove 2 items, which I did.
Skype opened up and I have video in Skype but, it is so dark that I thought at first that the cam didn't work.

Cheese is a little better but the colours are terrible; reminds me of working in win98 with an 8 colour palette.

It seems that I will have to invest in a new webcam unless you have another trick up your sleeve.
I suppose, I have to do my part to aid the economic recovery.

In any case, I appreciate your help very much and I learned a little about Linux in the process.

Thank you.

John
 
Old 02-21-2011, 05:36 PM   #7
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
I just installed v4l2ucp......its a graphical control panel.....it should be the solution
 
Old 02-21-2011, 05:58 PM   #8
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Original Poster
Rep: Reputation: 0
I did as well

install v4l2ucp.

It's a little better now but still not satisfactory.

With that big green spot on my forehead people will think I am from Mars.

Found something in "bug" reports; /etc/modprobe.d/blacklist
Append to end of file:
# replaced by gspca (Ubuntu: #144745)
blacklist zc0301

I tried that but, can't edit the file even when I become a member of the root group.

Will keep on looking.

John
 
Old 02-22-2011, 03:52 AM   #9
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
pls post link to bug report and your exact kernel version using command as local user

uname -r

2) while you are at reporting....I would like to see a full output of your lspci as sometimes shirty modems (often not used) grab the audio

Last edited by aus9; 02-22-2011 at 03:57 AM.
 
Old 02-22-2011, 02:07 PM   #10
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Original Poster
Rep: Reputation: 0
reporting

Good day aus9.
Here is the link to the bug report: https://lists.ubuntu.com/archives/ke...ay/036019.html

uname -r comes back with: 2.6.35-25-generic

and here is the ouput of lspci:

john@wolf-K8Upgrade-VM800:~$ lspci
00:00.0 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.7 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:0f.0 IDE interface: VIA Technologies, Inc. VIA VT6420 SATA RAID Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South]
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation NV44A [GeForce 6200] (rev a1)
john@wolf-K8Upgrade-VM800:~$

cheerio

John
 
Old 02-22-2011, 05:27 PM   #11
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
hi

1) that bug has nothing to do with your driver but ZC0301 with id 0ac8:301b and it reported in 2008.

2) Since you have already reported what driver is loaded.....there was no need to blacklist a driver that would never load ok?

3) but I note that a work-a-round exists in ubuntu which was reported on your link as


wlx wrote on 2008-12-01: #25
in Intrepid, try this command with skype:

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype

which is worth trying and report your results please

4) now your kernel is quite old 2.6.35-25-generic

how about installing a newer one?

if you are feeling trusting try a third party kernel designed for gamers and nice ppl?
http://techpatterns.com/forums/about1212.html

if you are feeling more cautious try the debian kernel which is at 2.6.37-1-686 stage

both can be easiy installed using a script designed for debian/ubuntu users called smxi which is found at

www.smxi.org and its forum is
http://techpatterns.com/forums/forum-33.html

good luck
 
Old 02-23-2011, 11:44 AM   #12
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Original Poster
Rep: Reputation: 0
as for smxi

tried to install smxi but this is what I got:

wolf@wolf-K8Upgrade-VM800:~$ sudo cd /usr/local/bin && wget -Nc smxi.org/sgfxi && chmod +x sgfxi && sgfxi
[sudo] password for wolf:
sudo: cd: command not found
wolf@wolf-K8Upgrade-VM800:~$ cd /usr/local/bin && wget -Nc smxi.org/sgfxi && chmod +x sgfxi && sgfxi
--2011-02-23 12:38:56-- http://smxi.org/sgfxi
Resolving smxi.org... 209.197.72.47
Connecting to smxi.org|209.197.72.47|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://smxi.org/sg/sgfxi [following]
--2011-02-23 12:38:56-- http://smxi.org/sg/sgfxi
Reusing existing connection to smxi.org:80.
HTTP request sent, awaiting response... 200 OK
Length: 247914 (242K) [text/plain]
sgfxi: Permission denied

Cannot write to `sgfxi' (Permission denied).
wolf@wolf-K8Upgrade-VM800:/usr/local/bin$

somebody shoot me please !!!!!!

John
 
Old 02-23-2011, 05:22 PM   #13
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
hmm ok

let try another way

go to this page

http://smxi.org/sm/smxi

as a local user ....save as smxi....at your /home/name

then

Code:
sudo su

(if you are not at /home/name ....cd /home/name
chmod +x smxi
chown root smxi
mv smxi /usr/local/bin


(if interested try the command (it need root and you are still root)
smxi

Last edited by aus9; 02-23-2011 at 05:24 PM.
 
Old 02-24-2011, 06:46 AM   #14
Popeyethesailor
LQ Newbie
 
Registered: Dec 2010
Posts: 16

Original Poster
Rep: Reputation: 0
re: smxi

I managed to get the script smxi into /home/john/usr/local/bin

When I try to run it this is what I get:

john@wolf-K8Upgrade-VM800:~$ smxi
grep: /etc/inittab: No such file or directory

------------------------------------------------------------------
Error No: (2) You must be logged in as root to run this script.
Please start smxi as root.
smxi cannot continue. Exiting now.
------------------------------------------------------------------

john@wolf-K8Upgrade-VM800:~$ sudo smxi
grep: /etc/inittab: No such file or directory

------------------------------------------------------------------
Error No: (3) The Ubuntu derived distro is not supported by smxi, sorry.
smxi cannot continue. Exiting now.
------------------------------------------------------------------

john@wolf-K8Upgrade-VM800:~$
 
Old 02-24-2011, 05:15 PM   #15
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
oops I thought Ubuntu would be suppported sorry to have wasted your time there

pls use your package manager to install a more recent kernel which MAY give you a more recent module for your webcam.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Dell Creative Technology Webcam not working in Linux Mint 9 OldManHook Linux - Laptop and Netbook 1 06-27-2010 11:44 PM
Creative Webcam Help gtkuntz Linux - Hardware 2 08-03-2009 12:32 PM
Getting webcam working (Creative) LiberteToujours Linux - Hardware 1 01-21-2005 07:21 PM
Creative Webcam NX... Camasii Linux - Hardware 1 12-25-2003 01:37 AM
Creative Webcam go plus LEGAB Linux - Hardware 0 01-18-2003 05:17 AM


All times are GMT -5. The time now is 08:05 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration